View Issue Details

IDProjectCategoryView StatusLast Update
0035734FPCRTLpublic2019-09-07 21:21
Reporterrd0xAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.3.1Product Build 
Target VersionFixed in Version3.3.1 
Summary0035734: TBase64Encoding for Delphi compatibility
DescriptionImplementation for TBase64Encoding is missing. You can only convert strings, but not TBytes etc

http://docwiki.embarcadero.com/Libraries/Rio/en/System.NetEncoding.TBase64Encoding
TagsNo tags attached.
Fixed in Revision42937.
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Marco van de Voort

2019-06-21 16:03

manager   ~0116816

Afaik it has a stream interface ?

Michael Van Canneyt

2019-09-07 21:21

administrator   ~0117976

I added a Delphi compatible System.NetEncoding unit.

It has received cursory testing only, but it reuses the equivalent routines from FPC, so it should be OK.

Issue History

Date Modified Username Field Change
2019-06-19 23:31 rd0x New Issue
2019-06-20 08:24 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-06-20 08:24 Michael Van Canneyt Status new => assigned
2019-06-21 16:03 Marco van de Voort Note Added: 0116816
2019-09-07 21:21 Michael Van Canneyt Status assigned => resolved
2019-09-07 21:21 Michael Van Canneyt Resolution open => fixed
2019-09-07 21:21 Michael Van Canneyt Fixed in Version => 3.3.1
2019-09-07 21:21 Michael Van Canneyt Fixed in Revision => 42937.
2019-09-07 21:21 Michael Van Canneyt FPCTarget => 3.2.0
2019-09-07 21:21 Michael Van Canneyt Note Added: 0117976